Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.taskuiregistry
Interface TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride

All Superinterfaces:
  XmlObject, XmlTokenSource

Enclosing interface:
  TaskUiRegistryDocument.TaskUiRegistry

    public static interface TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride

extends XmlObject

An XML task-plan-override(@http://www.bea.com/wli/worklist/taskuiregistry). This is a complex type.

Nested Class Summary
`static class` | `TaskUiRegistryDocument.TaskUiRegistry.TaskPlanOverride.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getCustomTaskUiUri()` Gets the "custom-task-ui-uri" element
`String` | `getTaskPlanId()` Gets the "task-plan-id" element
`void` | `setCustomTaskUiUri(String customTaskUiUri)` Sets the "custom-task-ui-uri" element
`void` | `setTaskPlanId(String taskPlanId)` Sets the "task-plan-id" element
`XmlString` | `xgetCustomTaskUiUri()` Gets (as xml) the "custom-task-ui-uri" element
`XmlString` | `xgetTaskPlanId()` Gets (as xml) the "task-plan-id" element
`void` | `xsetCustomTaskUiUri(XmlString customTaskUiUri)` Sets (as xml) the "custom-task-ui-uri" element
`void` | `xsetTaskPlanId(XmlString taskPlanId)` Sets (as xml) the "task-plan-id" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getTaskPlanId

    String getTaskPlanId()

  Gets the "task-plan-id" element

### xgetTaskPlanId

    XmlString xgetTaskPlanId()

  Gets (as xml) the "task-plan-id" element

### setTaskPlanId

    void setTaskPlanId(String taskPlanId)

  Sets the "task-plan-id" element

### xsetTaskPlanId

    void xsetTaskPlanId(XmlString taskPlanId)

  Sets (as xml) the "task-plan-id" element

### getCustomTaskUiUri

    String getCustomTaskUiUri()

  Gets the "custom-task-ui-uri" element

### xgetCustomTaskUiUri

    XmlString xgetCustomTaskUiUri()

  Gets (as xml) the "custom-task-ui-uri" element

### setCustomTaskUiUri

    void setCustomTaskUiUri(String customTaskUiUri)

  Sets the "custom-task-ui-uri" element

### xsetCustomTaskUiUri

    void xsetCustomTaskUiUri(XmlString customTaskUiUri)

  Sets (as xml) the "custom-task-ui-uri" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD